The native C compiler on MacOS X 10.5 leaves a *.dSYM directory for every
executable that it creates. Such a directory in unwelcome in $(bindir).
This removes it.


2009-01-17  Bruno Haible  <br...@clisp.org>

        * build-aux/install-reloc: Remove debugging information left over by
        C compiler on MacOS X.

--- build-aux/install-reloc.orig        2009-01-17 09:29:00.000000000 +0100
+++ build-aux/install-reloc     2009-01-17 09:27:49.000000000 +0100
@@ -1,6 +1,6 @@
 #!/bin/sh
 # install-reloc - install a program including a relocating wrapper
-# Copyright (C) 2003, 2005-2007 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2005-2007, 2009 Free Software Foundation, Inc.
 # Written by Bruno Haible <br...@clisp.org>, 2003.
 #
 # This program is free software: you can redistribute it and/or modify
@@ -169,6 +169,9 @@
       strerror.o \
       c-ctype.o
 test $rc = 0 || exit $?
+# Clean up debugging information left over by the native C compiler on MacOS X.
+rm -rf "$destprog.wrapper$exeext.dSYM"
+test $rc = 0 || exit $?
 
 # Rename $destprog.wrapper -> $destprog -> $destprog.bin.
 ln -f "$destprog$exeext" "$destprog.bin$exeext" \


Reply via email to